
Foreman - Bug #8416

Puppetclasses edit n+1 query

11/16/2014 08:44 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Database   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1945

  

Description

Lookup_values and environment_classes should be eager loaded on edits for Puppetclasses to avoid two slow n+1 queries.

Related issues:

Related to Foreman - Bug #9981: Smart variable doesn't show error on new vari... Closed 04/01/2015

Associated revisions

Revision c4f9aca6 - 12/09/2014 03:44 AM - Daniel Lobato Garcia

Fixes #8416 - Fix Puppet classes form n+1 queries

Revision 6db663cd - 12/15/2014 10:00 AM - Daniel Lobato Garcia

Fixes #8416 - Fix Puppet classes form n+1 queries

(cherry picked from commit c4f9aca6da11d2e37446fd0f60bcf515358e726e)

History

#1 - 11/16/2014 08:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1945 added

- Pull request deleted ()

#2 - 11/17/2014 03:47 AM - Dominic Cleal

- Category set to Database

- Assignee set to Daniel Lobato Garcia

- Target version set to 1.7.2

#3 - 12/09/2014 03:45 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#4 - 12/09/2014 04:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c4f9aca6da11d2e37446fd0f60bcf515358e726e.

#5 - 09/10/2015 05:05 AM - Dominic Cleal

- Related to Bug #9981: Smart variable doesn't show error on new variable added
